// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: solarmodule/solarmodule.proto

package openfmb.solarmodule;

public interface SolarControlFSCCOrBuilder extends
    // @@protoc_insertion_point(interface_extends:solarmodule.SolarControlFSCC)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the controlFSCC field is set.
   */
  boolean hasControlFSCC();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   * @return The controlFSCC.
   */
  openfmb.commonmodule.ControlFSCC getControlFSCC();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.ControlFSCCOrBuilder getControlFSCCOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.solarmodule.SolarControlScheduleFSCH SolarControlScheduleFSCH = 2;</code>
   * @return Whether the solarControlScheduleFSCH field is set.
   */
  boolean hasSolarControlScheduleFSCH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.solarmodule.SolarControlScheduleFSCH SolarControlScheduleFSCH = 2;</code>
   * @return The solarControlScheduleFSCH.
   */
  openfmb.solarmodule.SolarControlScheduleFSCH getSolarControlScheduleFSCH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.solarmodule.SolarControlScheduleFSCH SolarControlScheduleFSCH = 2;</code>
   */
  openfmb.solarmodule.SolarControlScheduleFSCHOrBuilder getSolarControlScheduleFSCHOrBuilder();
}
